Uploaded image for project: 'Nuxeo Drive '
  1. Nuxeo Drive
  2. NXDRIVE-2562

Always bring the account window after being redirected from the browser

    Details

    • Type: Improvement
    • Status: Resolved
    • Priority: Minor
    • Resolution: Fixed
    • Affects Version/s: NoFixVersionApplicable
    • Fix Version/s: 5.1.0
    • Component/s: GUI

      Description

      When adding an account, the user browser is opened and when the user will be connected Drive will get a notification.

      Then Drive will create the account. If any error happens here, the application will stay on the background and the user may think it did not work. Actually, it did not work but at least there is an error message in the account window the user will miss.

      Example of a error happening at that stage:

      2021-03-12 10:25:57 6130 140350079166272 WARNING  nxdrive.utils      qt process with PID 5081 already running
      2021-03-12 10:25:57 6130 140350079166272 DEBUG    nxdrive.commandline Opening a local socket to the running instance on org.nuxeo.drive.protocol.5081 (payload=b'<REDACTED>')
      2021-03-12 10:25:57 5081 140261717980992 INFO     nxdrive.gui.application Receiving socket connection for nxdrive protocol handling
      2021-03-12 10:25:57 6130 140350079166272 DEBUG    nxdrive.commandline Successfully closed client socket
      2021-03-12 10:25:57 5081 140261717980992 INFO     nxdrive.gui.application Event URL=nxdrive://token/<TOKEN>/user/mschoentgen, info={'command': 'token', 'token': '<TOKEN>', 'username': 'mschoentgen'}, path=PosixPath('/home/tiger-222/Téléchargements')
      2021-03-12 10:25:57 5081 140261717980992 INFO     nxdrive.gui.api    Creating new account [/home/tiger-222/Nuxeo Drive, http://<HOST>/nuxeo#NXDRIVE, mschoentgen]
      2021-03-12 10:25:57 5081 140261717980992 INFO     nxdrive.gui.api    Binder is : http://<HOST>/nuxeo#NXDRIVE/mschoentgen
      2021-03-12 10:25:57 5081 140261717980992 INFO     nxdrive.manager    Engine type has been specified in the URL: NXDRIVE will be used
      2021-03-12 10:25:57 5081 140261717980992 INFO     nxdrive.engine.dao.sqlite Create EngineDAO on PosixPath('/home/tiger-222/.nuxeo-drive/ndrive_f3719fdd831411eb9cd89cb6d0d379d7.db')
      2021-03-12 10:25:57 5081 140261717980992 INFO     nxdrive.engine.dao.sqlite Create main connection on PosixPath('/home/tiger-222/.nuxeo-drive/ndrive_f3719fdd831411eb9cd89cb6d0d379d7.db') (dir_exists=True, file_exists=False)
      2021-03-12 10:25:57 5081 140261717980992 DEBUG    nxdrive.client.local.base Getting xattr 'ndriveroot' from PosixPath('/home/tiger-222/Nuxeo Drive'): ''
      2021-03-12 10:25:57 5081 140261717980992 DEBUG    nuxeo.client       Calling GET 'http://<HOST>/nuxeo/api/v1/upload/handlers'
      2021-03-12 10:25:57 5081 140261717980992 DEBUG    nuxeo.client       Response from 'https://<HOST>:443/nuxeo/api/v1/upload/handlers' [200]: '{"handlers":[{"name":"s3"},{"name":"default"}]}' 
      2021-03-12 10:25:57 5081 140261717980992 DEBUG    nxdrive.engine.workers Thread START
      2021-03-12 10:25:57 5081 140261717980992 DEBUG    nxdrive.client.local.base Getting xattr 'ndrive' from PosixPath('/home/tiger-222/Nuxeo Drive'): ''
      2021-03-12 10:25:57 5081 140261717980992 DEBUG    nxdrive.engine.dao.sqlite Will not push pair: locally_created, pair=None
      2021-03-12 10:25:57 5081 140261717980992 DEBUG    nuxeo.client       Calling POST 'http://<HOST>/nuxeo/site/automation/NuxeoDrive.GetTopLevelFolder' 
      2021-03-12 10:25:57 5081 140261717980992 DEBUG    nuxeo.client       Response from 'https://<HOST>:443/nuxeo/site/automation/NuxeoDrive.GetTopLevelFolder' [200]: '{"id":"NuxeoDrive.GetTopLevelFolder","label":"Nuxeo Drive: Get the top level folder","category":"Services","requires":null,"description":"Get the top level folder item. Return the result as a JSON blob.","url":"NuxeoDrive.GetTopLevelFolder","signature":["void","blob"],"params":[]}'
      2021-03-12 10:25:57 5081 140261717980992 ERROR    nxdrive.manager    Engine error
      Traceback (most recent call last):
        File "nxdrive/objects.py", line 93, in from_dict
      KeyError: 'parentId'
      
      During handling of the above exception, another exception occurred:
      
      Traceback (most recent call last):
        File "nxdrive/manager.py", line 822, in bind_engine
        File "nxdrive/engine/engine.py", line 171, in __init__
        File "nxdrive/engine/engine.py", line 1273, in bind
        File "nxdrive/engine/engine.py", line 1318, in _check_root
        File "nxdrive/engine/engine.py", line 1368, in _add_top_level_state
        File "nxdrive/client/remote_client.py", line 525, in get_filesystem_root_info
        File "nxdrive/objects.py", line 97, in from_dict
      nxdrive.exceptions.DriveError: This item is missing mandatory information: {'id': 'NuxeoDrive.GetTopLevelFolder', 'label': 'Nuxeo Drive: Get the top level folder', 'category': 'Services', 'requires': None, 'description': 'Get the top level folder item. Return the result as a JSON blob.', 'url': 'NuxeoDrive.GetTopLevelFolder', 'signature': ['void', 'blob'], 'params': []}
      2021-03-12 10:25:57 5081 140261717980992 WARNING  nxdrive.gui.api    Unexpected error
      Traceback (most recent call last):
        File "nxdrive/objects.py", line 93, in from_dict
      KeyError: 'parentId'
      
      During handling of the above exception, another exception occurred:
      
      Traceback (most recent call last):
        File "nxdrive/gui/api.py", line 707, in bind_server
        File "nxdrive/gui/api.py", line 677, in _bind_server
        File "nxdrive/manager.py", line 836, in bind_engine
        File "nxdrive/manager.py", line 822, in bind_engine
        File "nxdrive/engine/engine.py", line 171, in __init__
        File "nxdrive/engine/engine.py", line 1273, in bind
        File "nxdrive/engine/engine.py", line 1318, in _check_root
        File "nxdrive/engine/engine.py", line 1368, in _add_top_level_state
        File "nxdrive/client/remote_client.py", line 525, in get_filesystem_root_info
        File "nxdrive/objects.py", line 97, in from_dict
      nxdrive.exceptions.DriveError: This item is missing mandatory information: {'id': 'NuxeoDrive.GetTopLevelFolder', 'label': 'Nuxeo Drive: Get the top level folder', 'category': 'Services', 'requires': None, 'description': 'Get the top level folder item. Return the result as a JSON blob.', 'url': 'NuxeoDrive.GetTopLevelFolder', 'signature': ['void', 'blob'], 'params': []}
      2021-03-12 10:25:57 5081 140261717980992 WARNING  nxdrive.gui.api    Unknown error occurred while trying to connect
      2021-03-12 10:25:57 5081 140261717980992 INFO     nxdrive.gui.api    RETURN FROM BIND_SERVER IS: 'None'
      2021-03-12 10:25:57 5081 140261717980992 INFO     nxdrive.gui.application Successfully closed server socket
      
      

        Attachments

          Issue Links

            Activity

              People

              • Votes:
                0 Vote for this issue
                Watchers:
                2 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved:

                  Time Tracking

                  Estimated:
                  Original Estimate - Not Specified
                  Not Specified
                  Remaining:
                  Remaining Estimate - 0 minutes
                  0m
                  Logged:
                  Time Spent - 15 minutes
                  15m

                    PagerDuty

                    Error rendering 'com.pagerduty.jira-server-plugin:PagerDuty'. Please contact your Jira administrators.